Enumera flotas en la suscripción y el grupo de recursos especificados.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
Parámetros de identificador URI
| Nombre |
En |
Requerido |
Tipo |
Description |
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nombre del grupo de recursos. El nombre no distingue mayúsculas de minúsculas.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Identificador de la suscripción de destino. El valor debe ser un UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Versión de la API que se va a usar para esta operación.
|
Respuestas
| Nombre |
Tipo |
Description |
|
200 OK
|
FleetListResult
|
La operación de Azure se completó correctamente.
|
|
Other Status Codes
|
ErrorResponse
|
Una respuesta de error inesperada.
|
Seguridad
azure_auth
Flujo de OAuth2 de Azure Active Directory.
Tipo:
oauth2
Flujo:
implicit
Dirección URL de autorización:
https://login.microsoftonline.com/common/oauth2/authorize
Ámbitos
| Nombre |
Description |
|
user_impersonation
|
suplantar la cuenta de usuario
|
Ejemplos
Lists the Fleet resources in a resource group.
Solicitud de ejemplo
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
/**
* Samples for Fleets ListByResourceGroup.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup.json
*/
/**
* Sample code: Lists the Fleet resources in a resource group.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listsTheFleetResourcesInAResourceGroup(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.fleets().listByResourceGroup("rg1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python fleets_list_by_resource_group.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.fleets.list_by_resource_group(
resource_group_name="rg1",
)
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Fleets_ListByResourceGroup.json
func ExampleFleetsClient_NewListByResourceGroupPager_listsTheFleetResourcesInAResourceGroup() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewFleetsClient().NewListByResourceGroupPager("rg1", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.FleetsClientListByResourceGroupResponse{
// FleetListResult: armcontainerservicefleet.FleetListResult{
// Value: []*armcontainerservicefleet.Fleet{
// {
// ID: to.Ptr("/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet-1"),
// Name: to.Ptr("fleet1"),
// Type: to.Ptr("Microsoft.ContainerService/fleets"),
// SystemData: &armcontainerservicefleet.SystemData{
// CreatedBy: to.Ptr("someUser"),
// CreatedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// LastModifiedBy: to.Ptr("someOtherUser"),
// LastModifiedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// },
// Tags: map[string]*string{
// "tier": to.Ptr("production"),
// "archv2": to.Ptr(""),
// },
// Location: to.Ptr("East US"),
// ETag: to.Ptr("23ujdflewrj3="),
// Properties: &armcontainerservicefleet.FleetProperties{
// HubProfile: &armcontainerservicefleet.FleetHubProfile{
// DNSPrefix: to.Ptr("dnsprefix1"),
// Fqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// PortalFqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// KubernetesVersion: to.Ptr("1.22.4"),
// AgentProfile: &armcontainerservicefleet.AgentProfile{
// VMSize: to.Ptr("Standard_DS1"),
// },
// },
// ProvisioningState: to.Ptr(armcontainerservicefleet.FleetProvisioningStateSucceeded),
// Status: &armcontainerservicefleet.FleetStatus{
// LastOperationID: to.Ptr("operation-12345"),
// LastOperationError: &armcontainerservicefleet.ErrorDetail{
// Code: to.Ptr("None"),
// Message: to.Ptr("No error"),
// },
// },
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to lists fleets in the specified subscription and resource group.
*
* @summary lists fleets in the specified subscription and resource group.
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup.json
*/
async function listsTheFleetResourcesInAResourceGroup() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.fleets.listByResourceGroup("rg1")) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.ContainerServiceFleet.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.ContainerServiceFleet;
// Generated from example definition: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup.json
// this example is just showing the usage of "Fleets_ListByResourceGroup" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rg1";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this ContainerServiceFleetResource
ContainerServiceFleetCollection collection = resourceGroupResource.GetContainerServiceFleets();
// invoke the operation and iterate over the result
await foreach (ContainerServiceFleetResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ContainerServiceFleetData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respuesta de muestra
{
"value": [
{
"id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet-1",
"name": "fleet1",
"type": "Microsoft.ContainerService/fleets",
"systemData": {
"createdBy": "someUser",
"createdByType": "User",
"createdAt": "2022-03-23T05:40:40.657Z",
"lastModifiedBy": "someOtherUser",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-03-23T05:40:40.657Z"
},
"tags": {
"tier": "production",
"archv2": ""
},
"location": "East US",
"eTag": "23ujdflewrj3=",
"properties": {
"hubProfile": {
"dnsPrefix": "dnsprefix1",
"fqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"portalFqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"kubernetesVersion": "1.22.4",
"agentProfile": {
"vmSize": "Standard_DS1"
}
},
"provisioningState": "Succeeded",
"status": {
"lastOperationId": "operation-12345",
"lastOperationError": {
"code": "None",
"message": "No error"
}
}
}
}
],
"nextLink": null
}
Lists the Fleet resources in a resource group. - generated by [MaximumSet] rule
Solicitud de ejemplo
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
/**
* Samples for Fleets ListByResourceGroup.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
*/
/**
* Sample code: Lists the Fleet resources in a resource group. - generated by [MaximumSet] rule.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.fleets().listByResourceGroup("rgfleets", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python fleets_list_by_resource_group_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.fleets.list_by_resource_group(
resource_group_name="rgfleets",
)
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
func ExampleFleetsClient_NewListByResourceGroupPager_listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewFleetsClient().NewListByResourceGroupPager("rgfleets", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.FleetsClientListByResourceGroupResponse{
// FleetListResult: armcontainerservicefleet.FleetListResult{
// Value: []*armcontainerservicefleet.Fleet{
// {
// ID: to.Ptr("/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1"),
// Name: to.Ptr("fleet-1"),
// Type: to.Ptr("Microsoft.ContainerService/fleets"),
// SystemData: &armcontainerservicefleet.SystemData{
// CreatedBy: to.Ptr("someUser"),
// CreatedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// LastModifiedBy: to.Ptr("someOtherUser"),
// LastModifiedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// },
// Tags: map[string]*string{
// },
// Location: to.Ptr("East US"),
// ETag: to.Ptr("23ujdflewrj3="),
// Properties: &armcontainerservicefleet.FleetProperties{
// HubProfile: &armcontainerservicefleet.FleetHubProfile{
// DNSPrefix: to.Ptr("dnsprefix1"),
// Fqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// PortalFqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// KubernetesVersion: to.Ptr("1.22.4"),
// AgentProfile: &armcontainerservicefleet.AgentProfile{
// VMSize: to.Ptr("Standard_DS1"),
// SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"),
// },
// APIServerAccessProfile: &armcontainerservicefleet.APIServerAccessProfile{
// EnablePrivateCluster: to.Ptr(true),
// EnableVnetIntegration: to.Ptr(true),
// SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"),
// },
// },
// ProvisioningState: to.Ptr(armcontainerservicefleet.FleetProvisioningStateSucceeded),
// },
// Identity: &armcontainerservicefleet.ManagedServiceIdentity{
// PrincipalID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// TenantID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// Type: to.Ptr(armcontainerservicefleet.ManagedServiceIdentityTypeNone),
// UserAssignedIdentities: map[string]*armcontainerservicefleet.UserAssignedIdentity{
// "key126": &armcontainerservicefleet.UserAssignedIdentity{
// PrincipalID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ClientID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// },
// },
// },
// },
// },
// NextLink: to.Ptr("https://microsoft.com/adyccxeh"),
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to lists fleets in the specified subscription and resource group.
*
* @summary lists fleets in the specified subscription and resource group.
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
*/
async function listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.fleets.listByResourceGroup("rgfleets")) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.ContainerServiceFleet.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.ContainerServiceFleet;
// Generated from example definition: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup_MaximumSet_Gen.json
// this example is just showing the usage of "Fleets_ListByResourceGroup" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgfleets";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this ContainerServiceFleetResource
ContainerServiceFleetCollection collection = resourceGroupResource.GetContainerServiceFleets();
// invoke the operation and iterate over the result
await foreach (ContainerServiceFleetResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ContainerServiceFleetData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respuesta de muestra
{
"value": [
{
"id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1",
"name": "fleet-1",
"type": "Microsoft.ContainerService/fleets",
"systemData": {
"createdBy": "someUser",
"createdByType": "User",
"createdAt": "2022-03-23T05:40:40.657Z",
"lastModifiedBy": "someOtherUser",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-03-23T05:40:40.657Z"
},
"tags": {},
"location": "East US",
"eTag": "23ujdflewrj3=",
"properties": {
"hubProfile": {
"dnsPrefix": "dnsprefix1",
"fqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"portalFqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"kubernetesVersion": "1.22.4",
"agentProfile": {
"vmSize": "Standard_DS1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"
},
"apiServerAccessProfile": {
"enablePrivateCluster": true,
"enableVnetIntegration": true,
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"
}
},
"provisioningState": "Succeeded"
},
"identity": {
"principalId": "00000000-0000-0000-0000-000000000000",
"tenantId": "00000000-0000-0000-0000-000000000000",
"type": "None",
"userAssignedIdentities": {
"key126": {
"principalId": "00000000-0000-0000-0000-000000000000",
"clientId": "00000000-0000-0000-0000-000000000000"
}
}
}
}
],
"nextLink": "https://microsoft.com/adyccxeh"
}
Definiciones
AgentProfile
Object
Perfil del agente para el centro de flotas.
| Nombre |
Tipo |
Description |
|
subnetId
|
string
(arm-id)
|
Identificador de la subred a la que se unirá el nodo del centro de flotas al iniciarse. Si no se especifica, se generará y usará una red virtual y una subred.
|
|
vmSize
|
string
|
Tamaño de la máquina virtual del centro de flotas.
|
APIServerAccessProfile
Object
Perfil de acceso para el servidor de API de Fleet Hub.
| Nombre |
Tipo |
Description |
|
enablePrivateCluster
|
boolean
|
Si se va a crear el centro de flotas como un clúster privado o no.
|
|
enableVnetIntegration
|
boolean
|
Si se va a habilitar la integración de la red virtual de apiserver para el centro de flotas o no.
|
|
subnetId
|
string
(arm-id)
|
Subred que se va a usar cuando está habilitada la integración de la red virtual de apiserver. Es necesario al crear una nueva flota con red virtual BYO.
|
createdByType
Enumeración
Tipo de identidad que creó el recurso.
| Valor |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Object
Información adicional sobre el error de administración de recursos.
| Nombre |
Tipo |
Description |
|
info
|
object
|
Información adicional.
|
|
type
|
string
|
Tipo de información adicional.
|
ErrorDetail
Object
Detalle del error.
| Nombre |
Tipo |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Información adicional del error.
|
|
code
|
string
|
Código de error.
|
|
details
|
ErrorDetail[]
|
Detalles del error.
|
|
message
|
string
|
Mensaje de error.
|
|
target
|
string
|
Destino del error.
|
ErrorResponse
Object
Respuesta de error
| Nombre |
Tipo |
Description |
|
error
|
ErrorDetail
|
Objeto de error.
|
Fleet
Object
El recurso Fleet.
| Nombre |
Tipo |
Description |
|
eTag
|
string
|
Si eTag se proporciona en el cuerpo de la respuesta, también se puede proporcionar como encabezado según la convención de etag normal. Las etiquetas de entidad se usan para comparar dos o más entidades del mismo recurso solicitado. HTTP/1.1 usa etiquetas de entidad en etag (sección 14.19), If-Match (sección 14.24), If-None-Match (sección 14.26) y If-Range (sección 14.27) campos de encabezado.
|
|
id
|
string
(arm-id)
|
Identificador de recurso completo para el recurso. Por ejemplo, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
identity
|
ManagedServiceIdentity
|
Identidad administrada.
|
|
location
|
string
|
Ubicación geográfica donde reside el recurso
|
|
name
|
string
|
Nombre del recurso
|
|
properties.hubProfile
|
FleetHubProfile
|
FleetHubProfile configura el centro de Fleet.
|
|
properties.provisioningState
|
FleetProvisioningState
|
Estado de la última operación.
|
|
properties.status
|
FleetStatus
|
Información de estado de la flota.
|
|
systemData
|
systemData
|
Metadatos de Azure Resource Manager que contienen información createdBy y modifiedBy.
|
|
tags
|
object
|
Etiquetas de recursos.
|
|
type
|
string
|
Tipo de recurso. Por ejemplo, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"
|
FleetHubProfile
Object
FleetHubProfile configura el centro de flotas.
| Nombre |
Tipo |
Description |
|
agentProfile
|
AgentProfile
|
El perfil del agente para el centro de flotas.
|
|
apiServerAccessProfile
|
APIServerAccessProfile
|
Perfil de acceso para el servidor de LA API de Fleet Hub.
|
|
dnsPrefix
|
string
minLength: 1 maxLength: 54 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][a-zA-Z0-9-]{0,52}[a-zA-Z0-9]$
|
Prefijo DNS usado para crear el FQDN para el centro de flotas.
|
|
fqdn
|
string
|
FQDN del centro de flotas.
|
|
kubernetesVersion
|
string
|
La versión de Kubernetes del centro de flotas.
|
|
portalFqdn
|
string
|
FQDN de Azure Portal del centro de flotas.
|
FleetListResult
Object
Respuesta de una operación de lista de flotas.
| Nombre |
Tipo |
Description |
|
nextLink
|
string
(uri)
|
Vínculo a la página siguiente de elementos
|
|
value
|
Fleet[]
|
Elementos de flota en esta página
|
FleetProvisioningState
Enumeración
Estado de aprovisionamiento de la última operación aceptada.
| Valor |
Description |
|
Succeeded
|
Se ha creado el recurso.
|
|
Failed
|
Error en la creación de recursos.
|
|
Canceled
|
Se canceló la creación de recursos.
|
|
Creating
|
Estado de aprovisionamiento de una flota que se va a crear.
|
|
Updating
|
Estado de aprovisionamiento de una flota que se está actualizando.
|
|
Deleting
|
Estado de aprovisionamiento de una flota que se va a eliminar.
|
FleetStatus
Object
Información de estado de la flota.
| Nombre |
Tipo |
Description |
|
lastOperationError
|
ErrorDetail
|
El último error de operación para la flota.
|
|
lastOperationId
|
string
|
El último identificador de operación de la flota.
|
ManagedServiceIdentity
Object
Identidad de servicio administrada (identidades asignadas por el sistema o asignadas por el usuario)
| Nombre |
Tipo |
Description |
|
principalId
|
string
(uuid)
|
Identificador de entidad de servicio de la identidad asignada por el sistema. Esta propiedad solo se proporcionará para una identidad asignada por el sistema.
|
|
tenantId
|
string
(uuid)
|
Identificador de inquilino de la identidad asignada por el sistema. Esta propiedad solo se proporcionará para una identidad asignada por el sistema.
|
|
type
|
ManagedServiceIdentityType
|
Tipo de identidad de servicio administrada (donde se permiten los tipos SystemAssigned y UserAssigned).
|
|
userAssignedIdentities
|
<string,
UserAssignedIdentity>
|
identidades de User-Assigned
Conjunto de identidades asignadas por el usuario asociadas al recurso. Las claves de diccionario userAssignedIdentities serán identificadores de recursos de ARM con el formato: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Los valores del diccionario pueden ser objetos vacíos ({}) en las solicitudes.
|
ManagedServiceIdentityType
Enumeración
Tipo de identidad de servicio administrada (donde se permiten los tipos SystemAssigned y UserAssigned).
| Valor |
Description |
|
None
|
|
|
SystemAssigned
|
|
|
UserAssigned
|
|
|
SystemAssigned, UserAssigned
|
|
systemData
Object
Metadatos relativos a la creación y última modificación del recurso.
| Nombre |
Tipo |
Description |
|
createdAt
|
string
(date-time)
|
Marca de tiempo de creación de recursos (UTC).
|
|
createdBy
|
string
|
Identidad que creó el recurso.
|
|
createdByType
|
createdByType
|
Tipo de identidad que creó el recurso.
|
|
lastModifiedAt
|
string
(date-time)
|
Marca de tiempo de la última modificación del recurso (UTC)
|
|
lastModifiedBy
|
string
|
Identidad que modificó por última vez el recurso.
|
|
lastModifiedByType
|
createdByType
|
Tipo de identidad que modificó por última vez el recurso.
|
UserAssignedIdentity
Object
Propiedades de identidad asignadas por el usuario
| Nombre |
Tipo |
Description |
|
clientId
|
string
(uuid)
|
Identificador de cliente de la identidad asignada.
|
|
principalId
|
string
(uuid)
|
Identificador de entidad de seguridad de la identidad asignada.
|